unofficial mirror of guix-devel@gnu.org 
 help / color / mirror / code / Atom feed
blob c8b2b4211e527373f7d5fce938fe0359a0c8c95e 1544 bytes (raw)
name: packages/patches/ibus-anthy-fix-tests.patch 	 # note: path name is non-authoritative(*)

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
 
Submitted upstream: https://github.com/ibus/ibus-anthy/pull/35

diff --git a/tests/test-build.sh b/tests/test-build.sh
index e83b78f..bbfa7e1 100755
--- a/tests/test-build.sh
+++ b/tests/test-build.sh
@@ -63,26 +63,33 @@ parse_args()
     done;
 }
 
+maybe_install_pycotap() {
+    # Red Hat specific hint.
+    if test -f /etc/redhat-release ; then
+        if ! rpm -q --quiet python3-pycotap; then
+            echo "Please install python3-pycotap"
+            exit -1
+        fi
+    fi;
+
+    # Check if pycotap is already available.
+    if ! python3 -m pycotap >/dev/null; then
+        echo "pycotap not found; installing via pip"
+        if ! pip install pycotap --user; then
+            echo "failed to install pycotap"
+            exit -1
+        fi
+    fi
+}
+
 init_environment()
 {
     if test x$FORCE_TEST != x ; then
         RUN_ARGS="$RUN_ARGS --force";
     fi;
-    HAS_TAP=0;
-    if test -f /etc/redhat-release ; then
-        rpm -q --quiet python3-pycotap
-        if test $? -ne 0 ; then
-            echo "Not found python3-pycotap";
-            exit -1;
-	fi;
-        HAS_TAP=1;
-    fi;
-    TAP_DIR=`python -m site --user-site`/pycotap;
-    if test $HAS_TAP -ne 1 && \
-       test x"$TAP_DIR" != x && test ! -d "$TAP_DIR" ; then
-            echo "pip install pycotap --user";
-            pip install pycotap --user;
-    fi;
+
+    maybe_install_pycotap
+
     if test ! -f $BUILDDIR/../data/$ANTHY_SCHEMA_FILE ; then
         echo "Not found $BUILDDIR/../data/$ANTHY_SCHEMA_FILE";
         exit -1;

debug log:

solving c8b2b4211e527373f7d5fce938fe0359a0c8c95e ...
found c8b2b4211e527373f7d5fce938fe0359a0c8c95e in https://git.savannah.gnu.org/cgit/guix.git

(*) Git path names are given by the tree(s) the blob belongs to.
    Blobs themselves have no identifier aside from the hash of its contents.^

Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).